import 'package:yumi/shared/business_logic/models/res/sc_version_manage_latest_res.dart';

/// latest : {"id":0,"platform":"","version":"","forceUpdate":false,"appType":"","review":false,"patch":false,"updateDescribe":"","updateWorshipDescribe":"","downloadUrl":"","buildVersion":0,"createTime":0}
/// review : {"id":0,"platform":"","version":"","forceUpdate":false,"appType":"","review":false,"patch":false,"updateDescribe":"","updateWorshipDescribe":"","downloadUrl":"","buildVersion":0,"createTime":0}

class VersionManageLatesReviewRes {
  VersionManageLatesReviewRes({
    SCVersionManageLatestRes? latest,
    SCVersionManageLatestRes? review,}){
    _latest = latest;
    _review = review;
}

  VersionManageLatesReviewRes.fromJson(dynamic json) {
    _latest = json['latest'] != null ? SCVersionManageLatestRes.fromJson(json['latest']) : null;
    _review = json['review'] != null ? SCVersionManageLatestRes.fromJson(json['review']) : null;
  }
  SCVersionManageLatestRes? _latest;
  SCVersionManageLatestRes? _review;

  SCVersionManageLatestRes? get latest => _latest;
  SCVersionManageLatestRes? get review => _review;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (_latest != null) {
      map['latest'] = _latest?.toJson();
    }
    if (_review != null) {
      map['review'] = _review?.toJson();
    }
    return map;
  }

}

